#
# spec file for package python-nbxmpp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   nbxmpp
Name:           python-nbxmpp
Version:        0.5.4
Release:        3.2
Summary:        XMPP library by Gajim team
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://python-nbxmpp.gajim.org/
Source:         https://files.pythonhosted.org/packages/source/n/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%else
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%py_requires
%endif

%description
Python-nbxmpp is a Python library that provides a way for Python
applications to use Jabber/XMPP networks in a non-blocking way. This
library is initialy a fork of xmpppy one, but using non-blocking sockets.

%package doc
Summary:        Nbxmpp Documentation
Group:          Documentation/Other

%description doc
This packages provides documentation of Nbxmpp API.

%prep
%setup -q -n %{_name}-%{version}
rm doc/examples/*.orig

%build
python setup.py build

%install
python setup.py install \
  --root %{buildroot} --prefix=%{_prefix}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-*

%files doc
%defattr(-,root,root)
%doc ChangeLog README
%doc doc/apidocs doc/examples

%changelog
* Thu Oct 13 2016 sor.alexei@meowr.ru
- Update to version 0.5.4:
  * Fix SCRAM authentication.
  * Fix BOSH connection with UTF-8 messages.
  * Fix smacks implementation.
  * Use uuid in stanza ids.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Sep  3 2015 toddrme2178@gmail.com
- Shouldn't be noarch in SLE 11
* Mon Jul 20 2015 sor.alexei@meowr.ru
- Update to 0.5.3:
  * Fix issue with pyopenssl 0.15.1.
  * Fix decoding issues.
* Sat Jan 10 2015 sor.alexei@meowr.ru
- Update to 0.5.2:
  * Fix BOSH HTTP requests.
  * Fix handling of binary SASL data for mechanism GSSAPI.
  * Update MAM namespace.
* Fri Oct 17 2014 p.drouand@gmail.com
- Correct Group is Development/Languages/Python
- Remove depreciated %%py_requires
- Do not pass -O1 --skip-build options
- Call python instead of python2
* Sat Oct 11 2014 sor.alexei@meowr.ru
- Update to 0.5.1 (changes since 0.2):
  * Fix printing network errors in a non-utf-8 console
  * Support both python2 and python3
  * Fix storing server certificate when there is no error
  * Ability to configure TLS protocol version
  * Add support for SCRAM-SHA-1-PLUS
  * Security improvements
  * Improve security level
  * Ability to configure cipher list
  * Store only depth 0 SSL certificate
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.2
  + Add some namespace
  + do TLS handshake without blocking
  + store all SSL errors instead of only last one
- Set correct Group : Devel/Languages/Python
- Use download Url as source
- Remove unwanted comments in specfile
- Package the two directories in /doc to avoid providing epydoc build
  configuration file
* Thu Aug 15 2013 dap.darkness@gmail.com
- Heads up: Python2 / Python3 parallel installation.
  %%fdupes will not work if files are installed via %%doc.
* Sat Apr 20 2013 dap.darkness@gmail.com
- Fixed up to submit.
* Sat Apr  6 2013 nekolayer@yandex.ru
- Initial package.
